<link rel="stylesheet" href="bootstrap.min.css">
<?php
session_start();

include_once "zakDB.php";
include_once "zak.php";
include_once "instruktorDB.php";
include_once "instruktor.php";
include_once "rezervaceDB.php";

if(isset($_POST["odeslat"]))
{
    $heslo = $_POST["heslo"];

    if(empty($_POST["email"]) || empty($_POST["heslo"]))
    {
        $zprava= "Nezadán email a heslo!";
    }

    elseif ($_POST["vyber"])
    {
        $db = new instruktorDB();
        $instruktor = new Instruktor();
        $dbrez = new rezervaceDB();
        if ($instruktor = $db->overeniInstruktora($_POST["email"], $heslo)) {
            $dbrez->smazatNevybranouRezervaci();
            $_SESSION["id_instruktora"] = $instruktor->id_instruktora;
            $_SESSION["jmeno"] = $instruktor->jmeno;
            $_SESSION["prijmeni"] = $instruktor->prijmeni;
            $_SESSION["prava"] = $instruktor->prava;
            header('Location: prehled_rezervaci_instruktor.php');
        } else {
            $zprava= "zadány nesprávné údaje";
        }
    }

    else {
        $db = new ZakDB();
        $zak = new Zak();
        $dbrez = new rezervaceDB();
        if ($zak = $db->overeniZaka($_POST["email"], $heslo)) {
            $dbrez->smazatNevybranouRezervaci();
            $_SESSION["id_zaka"] = $zak->id_zaka;
            $_SESSION["jmeno"] = $zak->jmeno;
            $_SESSION["prijmeni"] = $zak->prijmeni;
            $_SESSION["skupina_opravneni"] = $zak->skupina_opravneni;
            header('Location: vyber_rezervaci.php');
        } else {
            $zprava= "zadány nesprávné údaje";
        }
    }
}
?>

<html>
<head>
    <title>DRIVE</title>
</head>
<body>
<div class="container">
    <nav class="nav d-flex justify-content-sm-between nav-pills ">
    <a class="navbar-brand">
        <img src="Logo.png"  class="d-inline-block align-top float-start" width="117,5" height="44,5" alt="DRIVE" />
    </a>

<p class="display-6 text-sm-center">Přihlášení do rezervačního systému jízd v autoškole</p><br />
    </nav>
    <br />
    <form method="post" class="text-center">
    <div class="form-group">
    <label for="email"> Přihlašovací email:  </label><br />
    <input name="email" id="email" type="text"><br />
    <br />
    <label for="heslo">Heslo:</label><br />
    <input name="heslo" id="heslo" type="password"> <br />
    <br />
    <label for="vyber">Zaškrtněte, jste-li instruktor: </label>
    <input name="vyber" id="vyber" class="form-check-input" type="checkbox"> <br />
    <br />
    <input name="odeslat" class="btn btn-primary" id="prihlasit" type="submit" value="Přihlásit se"> <br />
        <div class="text-danger">
            <?php
            if(isset($zprava))
            {
                echo $zprava;
            }
            ?>
            </div>
        </div>
    </form>
</div>