<?php
session_start();
if(!isset($_SESSION["id_instruktora"]))
{
    header("Location:index.php ");
}

include_once "instruktorDB.php";
include_once "instruktor.php";
?>

<link rel="stylesheet" href="bootstrap.min.css">
<div class="container">
    <!DOCTYPE html>
    <head>
        <meta charset="UTF-8">
        <link rel="stylesheet" href="bootstrap.min.css">
        <title>DRIVE</title>
    </head>

    <?php
    if(isset($_SESSION["id_instruktora"]) && isset($_SESSION["prava"]) && $_SESSION["prava"] == "admin")
    {
        ?>

        <div class="container">
            <div class="card nav card-body container-fluid">
                <nav class="nav d-flex justify-content-between nav-pills ">
                    <a class="navbar-brand">
                        <img src="Logo.png"  class="d-inline-block align-top float-start" width="117,5" height="44,5" alt="DRIVE" />
                    </a>
                    <div class="d-md-flex flex-row">
                        <a class="nav-link" href="prehled_rezervaci_instruktor.php">Přehled rezervací</a>
                        <a class="nav-link" href="prehled_zaku.php">Přehled žáků</a>
                        <a class="nav-link nav-link active" href="prehled_instruktoru.php">Přehled instruktorů</a>
                        <a class="nav-link" href="vlastni_editace_instruktor.php">Upravit osobní údaje</a>
                    </div>
                    <form method="post" class="form-inline my-2 my-lg-0">
                        <div class="float-right">

                            <input name="odhlasit" value="Odhlásit se" type="submit" class="btn btn-secondary ">
                        </div>
                    </form>
                </nav>
            </div>
        </div>

        <?php
        if (isset($_POST["odhlasit"]))
        {
            session_destroy();
            header("Location: index.php");
        }
    }
    elseif ((isset($_SESSION["id_instruktora"]) && isset($_SESSION["prava"]) && $_SESSION["prava"] == "instruktor"))
    {
    ?>
    <div class="container">
        <div class="card nav card-body ">
            <nav class="nav d-flex justify-content-between nav-pills ">
                <a class="navbar-brand">
                    <img src="Logo.png"  class="d-inline-block align-top" width="117,5" height="44,5" alt="DRIVE" />
                </a>
                <div class="d-md-flex flex-row">
                    <a class="nav-link nav-link active" href="prehled_rezervaci_instruktor.php">Přehled rezervací</a>
                    <a class="nav-link" href="prehled_zaku.php">Přehled žáků</a>
                    <a class="nav-link " href="vlastni_editace_instruktor.php">Upravit osobní údaje</a>
                </div>
                <form method="post" class="align-content-center"> <input name="odhlasit" value="Odhlásit se" class="btn btn-secondary" type="submit"> </form>
            </nav>
        </div>
        <?php
        if (isset($_POST["odhlasit"]))
        {
            session_destroy();
            header("Location: index.php");
        }
        }

$db = new InstruktorDB();
$instruktori = $db->nactiInstruktory();
?><div class="container">
    <table class="text-center table table-secondary ">
<tr class="thead-dark">
    <td class="col-lg-1">ID</td>
    <td class="col-lg-1">Jméno</td>
    <td class="col-lg-1">Příjmení</td>
    <td class="col-lg-1">Telefonní číslo</td>
    <td class="col-lg-2">Email</td>
    <td class="col-lg-1">Heslo</td>
    <td class="col-lg-1">Práva</td>
    <td class="offset-lg-3"></td>
</tr>
    </table>

<?php
if(isset($_POST["edit"]))
{
    $id_instruktora = $_POST["id_instruktora"];
    $jmeno = $_POST["jmeno"];
    $prijmeni = $_POST["prijmeni"];
    $tel_cislo = $_POST["tel_cislo"];
    $email = $_POST["email"];
    $heslo = $_POST["heslo"];
    $prava = $_POST["prava"];

    $instruktor = new Instruktor();
    if ($instruktor ->nastavHodnoty($id_instruktora, $jmeno, $prijmeni, $tel_cislo, $email, $heslo, $prava))
    {
        $db ->editaceInstruktora($instruktor);
        header('Location: prehled_instruktoru.php');
    }
}

foreach($instruktori as $instruktor)
{
    $instruktor->vypis();
    if (isset($_POST["smaz"]))
    {
        $id_instruktora = $_POST["id_instruktora"];
        $db = new InstruktorDB();
        $db -> smazInstruktora($id_instruktora);
        header('Location: prehled_instruktoru.php');
    }
}
 ?>
    <div class="container">
            <a href="pridat_instruktora.php" class="btn btn-primary">Registrovat instruktora</a>
</div>