<?php
session_start();
if(!isset($_SESSION["id_instruktora"]))
{
    header("Location:index.php ");
}

include_once "RezervaceDB.php";
include_once  "rezervace.php";
include_once "zakDB.php";
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="bootstrap.min.css">
    <title>DRIVE</title>
</head>
<body>
<?php
if(isset($_SESSION["id_instruktora"]) && isset($_SESSION["prava"]) && $_SESSION["prava"] == "admin")
{
    ?>

<div class="container">
    <div class="card nav card-body container-fluid">
        <nav class="nav d-flex justify-content-between nav-pills ">
            <a class="navbar-brand">
                <img src="Logo.png"  class="d-inline-block align-top float-start" width="117,5" height="44,5" alt="DRIVE" />
            </a>
            <div class="d-md-flex flex-row">
            <a class="nav-link nav-link active" href="prehled_rezervaci_instruktor.php">Přehled rezervací</a>
            <a class="nav-link" href="prehled_zaku.php">Přehled žáků</a>
            <a class="nav-link" href="prehled_instruktoru.php">Přehled instruktorů</a>
            <a class="nav-link" href="vlastni_editace_instruktor.php">Upravit osobní údaje</a>
            </div>
            <form method="post" class="form-inline my-2 my-lg-0">
                <div class="float-right">
                    <input name="odhlasit" value="Odhlásit se" type="submit" class="btn btn-secondary ">
                </div>
            </form>
        </nav>
    </div>
    </div>

    <?php
    if (isset($_POST["odhlasit"]))
    {
        session_destroy();
        header("Location: index.php");
    }
}
elseif ((isset($_SESSION["id_instruktora"]) && isset($_SESSION["prava"]) && $_SESSION["prava"] == "instruktor"))
{
?>
<div class="container">
    <div class="card nav card-body ">
        <nav class="nav d-flex justify-content-between nav-pills ">
        <a class="navbar-brand">
            <img src="Logo.png"  class="d-inline-block align-top" width="117,5" height="44,5" alt="DRIVE" />
        </a>
            <div class="d-md-flex flex-row">
        <a class="nav-link nav-link active" href="prehled_rezervaci_instruktor.php">Přehled rezervací</a>
        <a class="nav-link" href="prehled_zaku.php">Přehled žáků</a>
        <a class="nav-link " href="vlastni_editace_instruktor.php">Upravit osobní údaje</a>
            </div>
            <form method="post" class="align-content-center"> <input name="odhlasit" value="Odhlásit se" class="btn btn-secondary" type="submit"> </form>
        </nav>
    </div>
<?php
if (isset($_POST["odhlasit"]))
{
    session_destroy();
    header("Location: index.php");
}
}
?>

<div class = "row">
    <h2 class="h2 col-6 text-center"> Vámi vytvořené rezervace</h2>
    <h2 class="h2 col-6 text-center"> Žáky zarezervované jízdy</h2>
</div>

<?php
$db = new rezervaceDB();
$rezervace = $db->vypsatRezervaceInstruktoraBezIdZaka();
?>
<div class="container">
    <div class="row">
        <div class="col-6">
        <?php
foreach($rezervace as $rezervaci)
{
    echo"
    
<div class='list-group-item list-group-item-action'>
                <li class='list-unstyled'>Datum jízdy: $rezervaci->datum </li>
              <li class='list-unstyled'> Čas: $rezervaci->cas </li>
              <li class='list-unstyled' >Místo: $rezervaci->misto </li>
              <li class='list-unstyled' >Poznámka: $rezervaci->poznamka </li>
              <li class='list-unstyled'> Pro skupinu řidičského oprávnění: $rezervaci->skupina_opravneni</li>
              <a href='zrusit_rezervaci_instruktor.php?id=$rezervaci->id_jizdy' class='btn btn-secondary'> Zrušit rezervaci </a></div>";
}
?>
    </div>
        <div class="col-6">

        <?php
        if (isset($_GET["id"])) {
            $db = new RezervaceDB();
            $db->smazRezervaci($_GET["id"]);
            header("Location: prehled_rezervaci_instruktor.php");
        }

        if (isset($_GET["id_pripocet"]))
        {
            $db = new RezervaceDB();
            $zakdb = new ZakDB();
            $zakdb->prictiJizdu($_GET["id_zak"]);
            $db->smazRezervaci($_GET["id_pripocet"]);
            header("Location: prehled_rezervaci_instruktor.php");
        }

        $rezervace = $db->vyberRezervaciProInstruktora();

foreach($rezervace as $rezervaci)
{
    $rez = new rezervace();
    if ($rez->dnyDoRezervace($rezervaci->datum, $rezervaci->cas)<=0)
    {
    echo"

<div class='list-group-item list-group-item-action'>
<form method='post'>
                <li class='list-unstyled'>Datum jízdy: $rezervaci->datum </li>
              <li class='list-unstyled'> Čas: $rezervaci->cas </li>
              <li class='list-unstyled' >Místo: $rezervaci->misto </li>
              <li class='list-unstyled' >Poznámka: $rezervaci->poznamka </li>
              <li class='list-unstyled'>Jméno žáka: $rezervaci->jmeno $rezervaci->prijmeni</li>
              <li class='list-unstyled' >Telefonní číslo: $rezervaci->tel_cislo </li>
              <li class='list-unstyled'> Pro skupinu řidičského oprávnění: $rezervaci->skupina_opravneni</li>
              <li class='list-unstyled' >Proběhla skutečně jízda?
              <a class='btn btn-primary' href='prehled_rezervaci_instruktor.php?id_pripocet=$rezervaci->id_jizdy & id_zak=$rezervaci->id_zak'>Ano</a>
              <a class='btn btn-secondary' href='prehled_rezervaci_instruktor.php?id=$rezervaci->id_jizdy' >Ne</a>
              
              </form></li>
              </div> 
                   ";
        }
    else
        {
            echo" 

<div class='list-group-item list-group-item-action '>
                <li class='list-unstyled'>Datum jízdy: $rezervaci->datum </li>
              <li class='list-unstyled'> Čas: $rezervaci->cas </li>
              <li class='list-unstyled' >Místo: $rezervaci->misto </li>
              <li class='list-unstyled' >Poznámka: $rezervaci->poznamka </li>
              <li class='list-unstyled'> Pro skupinu řidičského oprávnění: $rezervaci->skupina_opravneni</li>
              <li class='list-unstyled'>Jméno žáka: $rezervaci->jmeno $rezervaci->prijmeni</li>
              <li class='list-unstyled' >Telefonní číslo: $rezervaci->tel_cislo </li>
              </div> 
              ";
        }
}
?>

    </div>
    </div>
<a href="zadani_rezervace.php" class="btn btn-primary">Vytvořit novou rezervaci</a>
</div>
  </div>
</body>
</html>


