<?php

class rezervace
{
    public $id_jizdy;
    public $datum;
    public $cas;
    public $misto;
    public $poznamka;
    public $skupina_opravneni;

    public function nastavHodnotyRezervace($datum, $cas, $misto, $poznamka, $skupina_opravneni, $id_jizdy = NULL)
    {
        $this->id_jizdy = $id_jizdy;
        $redexp = "/[A-Za-z0-9ĚŠČŘŽÝÁÍÉŇŤěščřžýáíéťň]+$/";
        $this->datum = htmlspecialchars($datum, ENT_QUOTES);
        $this->cas = htmlspecialchars($cas, ENT_QUOTES);
        if (preg_match($redexp, $misto))
            {
              $this->misto = htmlspecialchars($misto, ENT_QUOTES);
            }
        else {
            echo "<script>
        alert('text obsahuje nepovolené znaky!');
        </script>" ;
        return false;
        }

        if (preg_match($redexp, $poznamka))
            {
                echo "<script>
        alert('text obsahuje nepovolené znaky!');
        </script>" ;
        return false;
            }
        $this->poznamka = htmlspecialchars($poznamka, ENT_QUOTES);
        $this->skupina_opravneni = htmlspecialchars($skupina_opravneni, ENT_QUOTES) ;

        return true;
    }

    public  function vypis()
    {
        ?><link rel="stylesheet" href="bootstrap.min.css">
<?php

        echo "<div class='col-4'>
<div class='list-group-item list-group-item-action flex-column align-items-start'>
                <li class='list-unstyled'>Datum jízdy: $this->datum </li>
              <li class='list-unstyled'> Čas: $this->cas </li>
              <li class='list-unstyled' >Místo: $this->misto </li>
              <li class='list-unstyled' >Poznámka: $this->poznamka </li>
              <a href='rezervovat.php?id=$this->id_jizdy'> Vybrat rezervaci </a></div> </div>
";
    }

    public  function rezervuj()
    {
        ?><link rel="stylesheet" href="bootstrap.min.css">
        <div class="card-body text-secondary  text-center"><?php
            echo "


                <li class='list-unstyled'>Datum jízdy: $this->datum </li>
              <li class='list-unstyled'> Čas: $this->cas </li>
              <li class='list-unstyled' >Místo: $this->misto </li>
              <li class='list-unstyled' >Poznámka: $this->poznamka </li>
                  <br />
";
    }

    public function vypisRezervovaneJizdy()
    {
        ?><link rel="stylesheet" href="bootstrap.min.css">
        <?php

        echo "<div class='col-3' class='d-flex justify-content-end'>
<div class='list-group-item list-group-item-action flex-column '>
                <li class='list-unstyled'>Datum jízdy: $this->datum </li>
              <li class='list-unstyled'> Čas: $this->cas </li>
              <li class='list-unstyled' >Místo: $this->misto </li>
              <li class='list-unstyled' >Poznámka: $this->poznamka </li>
              <a href='rezervovat.php?id=$this->id_jizdy'> Vybrat rezervaci </a></div> </div>
";
    }

    public function dnyDoRezervace($datum,$cas)
    {
        $dnes = time();
        $datcas = $datum . $cas;
        $denrezervace = strtotime($datcas);
        $rozdil = $denrezervace - $dnes;
        $pocet = floor($rozdil / (60 * 60 * 24)) + 1;
        return $pocet;
    }
}