<?php
session_start();
if(!isset($_SESSION["id_zaka"]))
{
    header("Location:index.php ");
}
include_once  "rezervaceDB.php";
include_once  "rezervace.php";
include_once "zak.php"
 ?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>DRIVE</title>
    <link rel="stylesheet" href="bootstrap.min.css">
</head>
<body>
<div class="container">
    <div class="card nav card-body container-fluid">
        <nav class="nav d-flex justify-content-between nav-pills ">
            <a class="navbar-brand">
                <img src="Logo.png"  class="d-inline-block align-top float-start" width="117,5" height="44,5" alt="DRIVE" />
            </a>
            <div class="d-md-flex flex-row">
                <a class="nav-link nav-link active" href="vyber_rezervaci.php">Přehled rezervací</a>
                <a class="nav-link" href="vlastni_editace_zak.php">Upravit osobní údaje</a>
            </div>
            <form method="post" class="form-inline my-2 my-lg-0">
                <div class="float-right">
                    <input name="odhlasit" value="Odhlásit se" type="submit" class="btn btn-secondary ">
                </div>
            </form>
        </nav>
    </div>
</div>

        <?php
        if (isset($_POST["odhlasit"]))
        {
            session_destroy();
            header("Location: index.php");
        }
        ?>

<div class="container">
       <form method="post">
           Vyhledávání volných rezervací:
           <input type="search" name="text" value="<?php if (isset($_POST["text"]))
           {
               echo $_POST["text"];
           }?>">
           <input type="submit" name="najdi" value="Vyhledat">

       </form>
    <div class="row">
<h2 class="h2 col-4 text-center"> Volné rezervace</h2>
        <h2 class="h2 col-8 text-center"> Vybrané rezervace</h2>
    </div>
</div>

        <div class="container">
            <div class="row">
                <div class="col-6">
<?php

$db = new rezervaceDB();
$zak = new zak();

if (isset($_POST["najdi"]))
{
    $rezervace = $db->najdiRezervace(($_POST["text"]));
}
else
{
    $rezervace = $db->nactiRezervace();
}

$db->smazatNevybranouRezervaci();
foreach($rezervace as $rezervaci)
{
echo"
<div class='list-group-item list-group-item-action'>
                <li class='list-unstyled'>Datum jízdy: $rezervaci->datum </li>
              <li class='list-unstyled' >Čas: $rezervaci->cas </li>
              <li class='list-unstyled' >Místo: $rezervaci->misto </li>
              <li class='list-unstyled' >Poznámka: $rezervaci->poznamka </li>
               <li class='list-unstyled' >Jméno instruktora: $rezervaci->jmeno $rezervaci->prijmeni</li>
              <li class='list-unstyled' >Telefonní číslo instruktora: $rezervaci->tel_cislo </li>
              <a href='rezervovat.php?id=$rezervaci->id_jizdy' class='btn btn-primary'> Vybrat rezervaci </a></div>";

    if(isset($_POST["vyber"]))
    {
        $db = new RezervaceDB();
        $db->nactiRezervaci($rezervaci->id_jizdy);
    }
    }

?></div>
                    <div class="col-6">
                        <?php
$rezervace = $db->vyberRezervaciProZaka();
foreach($rezervace as $rezervaci)
{
    $rez = new rezervace();
if ($rez->dnydorezervace($rezervaci->datum, $rezervaci->cas)<2)
{
    echo " 

<div class='list-group-item list-group-item-action'>
              <li class='list-unstyled' >Datum jízdy: $rezervaci->datum </li>
              <li class='list-unstyled' >Čas: $rezervaci->cas </li>
              <li class='list-unstyled' >Místo: $rezervaci->misto </li>
              <li class='list-unstyled' >Poznámka: $rezervaci->poznamka </li>
              <li class='list-unstyled' >Jméno instruktora: $rezervaci->jmeno $rezervaci->prijmeni</li>
              <li class='list-unstyled' >Telefonní číslo instruktora: $rezervaci->tel_cislo </li>
              </div>
";
}
else
{
    echo " 
<div class='list-group-item list-group-item-action'>
              <li class='list-unstyled'>Datum jízdy: $rezervaci->datum </li>
              <li class='list-unstyled' >Čas: $rezervaci->cas </li>
              <li class='list-unstyled' >Místo: $rezervaci->misto </li>
              <li class='list-unstyled' >Poznámka: $rezervaci->poznamka </li>
              <li class='list-unstyled' >Jméno instruktora: $rezervaci->jmeno $rezervaci->prijmeni</li>
              <li class='list-unstyled' >Telefonní číslo instruktora: $rezervaci->tel_cislo </li>
              <a href='odebrat_rezervaci.php?id=$rezervaci->id_jizdy' class='btn btn-secondary'> Zrušit rezervaci</a>
              </div>
";
}
}
?>
            </div>
      </div>
</div>
</body>
</html>

