-- phpMyAdmin SQL Dump
-- version 5.0.2
-- https://www.phpmyadmin.net/
--
-- Počítač: 127.0.0.1
-- Vytvořeno: Úte 30. lis 2021, 19:23
-- Verze serveru: 10.4.13-MariaDB
-- Verze PHP: 7.4.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Databáze: `autoskola`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `instruktori`
--

CREATE TABLE `instruktori` (
  `id_instruktora` int(10) NOT NULL,
  `jmeno` char(255) COLLATE utf32_czech_ci NOT NULL,
  `prijmeni` char(255) COLLATE utf32_czech_ci NOT NULL,
  `tel_cislo` char(255) COLLATE utf32_czech_ci NOT NULL,
  `email` char(255) COLLATE utf32_czech_ci NOT NULL,
  `heslo` char(255) COLLATE utf32_czech_ci NOT NULL,
  `prava` varchar(10) COLLATE utf32_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf32 COLLATE=utf32_czech_ci;

--
-- Vypisuji data pro tabulku `instruktori`
--

INSERT INTO `instruktori` (`id_instruktora`, `jmeno`, `prijmeni`, `tel_cislo`, `email`, `heslo`, `prava`) VALUES
(12, 'karel', 'Zkouška1', '+420123456789', 'adam.valenta@ininvest.cz', '$2y$10$W/iGnAtNt3vHjpQGGFG19e773CAl5yiY9/by3s6G3YtaikK7bg5xy', 'instruktor'),
(13, 'Timínek', 'Novák', '+420123456789', 'zkouska@email.cz', '$2y$10$.wLLvAlNHXNxuINkJqv6bue2rll3Z3DT7L6NDoHSOoXX/k1sIn1h2', 'admin'),
(14, 'Adam', 'Zkouška', '123456789', 'adam@email.cz', '$2y$10$3S.k4M7BJvc/8XWfWmj3hem1cRmpIM/iK84jKHaJZvfGbanigMLlS', 'admin');

-- --------------------------------------------------------

--
-- Struktura tabulky `rezervace`
--

CREATE TABLE `rezervace` (
  `id_jizdy` int(10) NOT NULL,
  `datum` date NOT NULL,
  `cas` time NOT NULL,
  `misto` char(255) COLLATE utf32_czech_ci NOT NULL,
  `poznamka` char(255) COLLATE utf32_czech_ci NOT NULL,
  `id_instruktor` int(11) NOT NULL,
  `id_zak` int(11) DEFAULT NULL,
  `skupina_opravneni` varchar(1) COLLATE utf32_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf32 COLLATE=utf32_czech_ci;

--
-- Vypisuji data pro tabulku `rezervace`
--

INSERT INTO `rezervace` (`id_jizdy`, `datum`, `cas`, `misto`, `poznamka`, `id_instruktor`, `id_zak`, `skupina_opravneni`) VALUES
(141, '2021-12-05', '12:00:00', 'Jablonné nad Orlicí', 'zkouška', 12, NULL, 'B'),
(142, '2021-12-05', '15:00:00', 'zkouška', 'zkouška', 12, NULL, 'B'),
(144, '2021-12-05', '15:00:00', 'Jablonné nad Orlicí Na Dílech 111, u knihovny', '', 12, NULL, 'A');

-- --------------------------------------------------------

--
-- Struktura tabulky `zaci1`
--

CREATE TABLE `zaci1` (
  `id_zaka` int(10) NOT NULL,
  `jmeno` char(255) COLLATE utf32_czech_ci NOT NULL,
  `prijmeni` char(255) COLLATE utf32_czech_ci NOT NULL,
  `datum_narozeni` date NOT NULL,
  `tel_cislo` char(255) COLLATE utf32_czech_ci NOT NULL,
  `email` char(255) COLLATE utf32_czech_ci NOT NULL,
  `heslo` char(255) COLLATE utf32_czech_ci NOT NULL,
  `skupina_opravneni` char(255) COLLATE utf32_czech_ci NOT NULL,
  `odjeto_jizd` int(2) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf32 COLLATE=utf32_czech_ci;

--
-- Vypisuji data pro tabulku `zaci1`
--

INSERT INTO `zaci1` (`id_zaka`, `jmeno`, `prijmeni`, `datum_narozeni`, `tel_cislo`, `email`, `heslo`, `skupina_opravneni`, `odjeto_jizd`) VALUES
(50, 'Radek', 'Zkouška', '2000-10-04', '702378930', 'radek@email.cz', '$2y$10$QMTVeREAFRPQv2x5wvYGfevaJcwuVsaIA1A0.s/o4iQxoadDMNJDu', 'A', 0),
(51, 'Jenda', 'Novák', '2001-11-01', '123456789', 'jenda@email.cz', '$2y$10$mVXBAnK0lT4KoT2jzYpFHOQp7bLomrmogcErLZ5YqPyOgL5v2XP3S', 'A', 1),
(53, 'Timínek', 'Zkouška', '2021-11-02', '123456789', 'timinek@email.cz', '$2y$10$qDdTWlYs3nTq.SLLHz5wM.oa.AW/.lvC.QHKje18g1.6ZExptR4ny', 'B', 0);

--
-- Klíče pro exportované tabulky
--

--
-- Klíče pro tabulku `instruktori`
--
ALTER TABLE `instruktori`
  ADD PRIMARY KEY (`id_instruktora`);

--
-- Klíče pro tabulku `rezervace`
--
ALTER TABLE `rezervace`
  ADD PRIMARY KEY (`id_jizdy`),
  ADD KEY `id_zaka` (`id_zak`),
  ADD KEY `id_instruktora` (`id_instruktor`);

--
-- Klíče pro tabulku `zaci1`
--
ALTER TABLE `zaci1`
  ADD PRIMARY KEY (`id_zaka`);

--
-- AUTO_INCREMENT pro tabulky
--

--
-- AUTO_INCREMENT pro tabulku `instruktori`
--
ALTER TABLE `instruktori`
  MODIFY `id_instruktora` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT pro tabulku `rezervace`
--
ALTER TABLE `rezervace`
  MODIFY `id_jizdy` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=145;

--
-- AUTO_INCREMENT pro tabulku `zaci1`
--
ALTER TABLE `zaci1`
  MODIFY `id_zaka` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=55;

--
-- Omezení pro exportované tabulky
--

--
-- Omezení pro tabulku `rezervace`
--
ALTER TABLE `rezervace`
  ADD CONSTRAINT `id_instruktora` FOREIGN KEY (`id_instruktor`) REFERENCES `instruktori` (`id_instruktora`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `id_zaka` FOREIGN KEY (`id_zak`) REFERENCES `zaci1` (`id_zaka`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
