<?php
session_start();
if(!isset($_SESSION["id_instruktora"]))
{
    header("Location:index.php ");
}

include_once "instruktorDB.php";
include_once "instruktor.php";
?>
<html>
<head>
    <title>DRIVE</title>
    <link rel="stylesheet" type="text/css" href="bootstrap.min.css">
</head>
<body>
<?php

$jmeno = $_SESSION["jmeno"] . " " . $_SESSION["prijmeni"];
if(isset($_SESSION["id_instruktora"]) && isset($_SESSION["prava"]) && $_SESSION["prava"] == "admin")
{
    ?>

<div class="container">
    <div class="card nav card-body container-fluid">
        <nav class="nav d-flex justify-content-between nav-pills ">

            <a class="navbar-brand">
                <img src="Logo.png"  class="d-inline-block align-top float-start" width="117,5" height="44,5" alt="DRIVE" />
            </a>
            <div class="d-md-flex flex-row">
            <a class="nav-link" href="prehled_rezervaci_instruktor.php">Přehled rezervací</a>
            <a class="nav-link" href="prehled_zaku.php">Přehled žáků</a>
            <a class="nav-link" href="prehled_instruktoru.php">Přehled instruktorů</a>
            <a class="nav-link nav-link active" href="vlastni_editace_instruktor.php">Upravit osobní údaje</a>
            </div>

            <form method="post" class="form-inline my-2 my-lg-0">
                <div class="float-right">

                    <input name="odhlasit" value="Odhlásit se" type="submit" class="btn btn-secondary ">
                </div>
            </form>
        </nav>
    </div>
    </div>

    <?php
    if (isset($_POST["odhlasit"]))
    {
        session_destroy();
        header("Location: index.php");
    }
}
elseif ((isset($_SESSION["id_instruktora"]) && isset($_SESSION["prava"]) && $_SESSION["prava"] == "instruktor"))
{
?>
<div class="container">
    <div class="card nav card-body ">
        <nav class="nav d-flex justify-content-between nav-pills ">
        <a class="navbar-brand">
            <img src="Logo.png"  class="d-inline-block align-top" width="117,5" height="44,5" alt="DRIVE" />
        </a>
            <div class="d-md-flex flex-row">
        <a class="nav-link" href="prehled_rezervaci_instruktor.php">Přehled rezervací</a>
        <a class="nav-link" href="prehled_zaku.php">Přehled žáků</a>
        <a class="nav-link nav-link active" href="vlastni_editace_instruktor.php">Upravit osobní údaje</a>
            </div>
            <form method="post" class="align-content-center"> <input name="odhlasit" value="Odhlásit se" class="btn btn-secondary" type="submit"> </form>
        </nav>
    </div>
<?php
if (isset($_POST["odhlasit"]))
{
    session_destroy();
    header("Location: index.php");
}
}

$db = new InstruktorDB();
$instruktor = new Instruktor();
$instruktor = $db->nactiInstruktora($_SESSION["id_instruktora"]);

if(isset($_POST["odeslat"]))
{
    $jmeno = $_POST["jmeno"];
    $prijmeni = $_POST["prijmeni"];
    $tel_cislo = $_POST["tel_cislo"];
    $email = $_POST["email"];

    if (filter_var($email, FILTER_VALIDATE_EMAIL))
    {
    $instruktor = new Instruktor();
    $instruktor->nastavOsHodnotyInstruktora($jmeno, $prijmeni, $tel_cislo, $email);
    $db = new InstruktorDB();
    $db->editujOsUdajeInstruktora($instruktor);
    $zprava = "Údaje byly úspěšně upraveny";
    }
    else
    {
        $zprava = "Zadán neplatný email!";
    }

}

elseif (isset($_POST["zmenit_heslo"]))
{
    $nove_heslo = $_POST["nove_heslo"];


    if(!$db->vyberHesloInstruktora($_POST["puvodni_heslo"]))
    {
        $zprava_heslo = "Původní hesla se neshodují!";
    }
    elseif ($_POST["nove_heslo"] != $_POST["overujici_heslo"])
    {
        $zprava_heslo= "Nová hesla se neshodují!";
    }
    else{
        $db = new InstruktorDB();
        $nove_heslo = password_hash($_POST["nove_heslo"],PASSWORD_DEFAULT);
        $db->zmenHeslo($nove_heslo);
        $instruktor = new Instruktor();
        $instruktor = $db->nactiInstruktora($_SESSION["id_instruktora"]);

        $zprava_heslo = "Heslo bylo úspěšně upraveno";
    }
}
?>
    <div class="container">
        <div class="d-flex justify-content-center">
            <div class="card border-secondary mb-3">
                <div class="card-header"><h4>Úprava osobních údajů</h4></div>
                <div class="card-body text-secondary text-center">
                    <form method="post">
                        Jméno:<br />
                        <input name="jmeno" type="text" placeholder="Jméno" value="<?php echo $instruktor->jmeno; ?>"><br /><br />
                        Příjmení: <br />
                        <input name="prijmeni" type="text" placeholder="Příjmení" value="<?php echo $instruktor->prijmeni; ?>"><br /><br />
                        Telefonní číslo: <br />
                        <input name="tel_cislo" type="number" placeholder="Telefonní číslo" value="<?php echo $instruktor->tel_cislo; ?>"><br />
                        <br />
                        Přihlašovací Email: <br />
                        <input name="email" type="text" placeholder="Email" value="<?php echo $instruktor->email; ?>"><br /><br />
                        <input name="odeslat" type="submit" class="btn btn-primary" value="Upravit údaje"><br /><br />
                        <div class="text-danger"><?php
                            if (isset($zprava))
                            {
                                echo "$zprava";
                            }
                            ?>
                        </div>
                    </form><br />
                </div>
            </div>
        </div>

        <div class="d-flex justify-content-center">
            <div class="card border-secondary mb-3">
                <div class="card-header"><h4> Změna hesla</h4></div>
                <div class="card-body text-secondary text-center">
                    <form method="post">
                        Původní heslo:<br />
                        <input name="puvodni_heslo" type="password" placeholder="Původní heslo"><br /><br />
                        Nové heslo:<br />
                        <input name="nove_heslo" type="password" placeholder="Nové heslo"><br /><br />
                        Heslo znovu (pro ověření):<br />
                        <input name="overujici_heslo" type="password" placeholder="Nové ověřující heslo"><br /><br />
                        <input name="zmenit_heslo" type="submit" class="btn btn-primary" value="Změnit heslo">
                        <br /><br />
                        <div class="text-danger"><?php
                            if (isset($zprava_heslo))
                            {
                                echo "$zprava_heslo";
                            }
                            ?>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
    <?php
    ?>



