<?php
class Zak
{
public $id_zaka;
public $jmeno;
public $prijmeni;
public $datum_narozeni;
public $tel_cislo;
public $email;
public $heslo;
public $skupina_opravneni;
public $odjeto_jizd;

public function nastavHodnoty($id_zaka, $jmeno, $prijmeni, $datum_narozeni, $tel_cislo, $email, $skupina_opravneni, $odjeto_jizd, $heslo)
{
    $this->id_zaka = $id_zaka;
    $redexp = "/[A-Za-z0-9ĚŠČŘŽÝÁÍÉŇŤěščřžýáíéťň]+$/";
    if(preg_match($redexp,$jmeno))
    {
        $this->jmeno = htmlspecialchars($jmeno, ENT_QUOTES);
    }
    else {
        echo "<script>
        alert('Neplatné jméno!');
        </script>" ;
        return false;
    }
    $redexp = "/[A-Za-z0-9ĚŠČŘŽÝÁÍÉŇŤěščřžýáíéťň]+$/";
    if(preg_match($redexp,$prijmeni))
    {
        $this->prijmeni = htmlspecialchars($prijmeni, ENT_QUOTES);
    }
    else {
        echo "<script>
        alert('Neplatné příjmení!');
        </script>" ;
        return false;
    }
    $this->datum_narozeni = htmlspecialchars($datum_narozeni, ENT_QUOTES);
    $redexp = "/[+]?[0-9. -]{9,}$/";
    if(preg_match($redexp,$tel_cislo))
    {
        $this->tel_cislo = htmlspecialchars($tel_cislo, ENT_QUOTES);
    }
    else {
       echo "<script>
       alert('Neplatné telefonní číslo!');
       </script>" ;
       return false;
    }

    if (filter_var($email, FILTER_VALIDATE_EMAIL))
    {
        $this->email = filter_var($email, FILTER_VALIDATE_EMAIL);
    }
    else
    {
        echo "<script>
       alert('Neplatný email!');
       </script>" ;
        return false;
    }
    $this->heslo = password_hash($heslo, PASSWORD_DEFAULT);
    $redexp = "/[aA]|[bB]{1}$/";
    if(preg_match($redexp,$skupina_opravneni))
    {
        $this->skupina_opravneni = htmlspecialchars($skupina_opravneni, ENT_QUOTES);
    }
    else {
        echo "<script>
        alert('Platná je pouze skupina řidičského oprávnění A nebo B!');
        </script>" ;
        return false;
    }
    $this->odjeto_jizd = $odjeto_jizd;
    return true;
}

    public  function vypis()
    {

   ?>
            <table class="table">
                <tr >
        <form method="post">
       <input class="col-sm-1" type="text" name="id_zaka" placeholder="ID žáka" value="<?php echo $this->id_zaka; ?>" readonly>
    <input class="col-sm-1" type="text" name="jmeno" placeholder="Jméno žáka" value="<?php echo $this->jmeno; ?>">
    <input class="col-sm-1" type="text" name="prijmeni" placeholder="Přijmení žáka" value="<?php echo $this->prijmeni; ?>">
    <input class="col-sm-1" type="date" name="datum_narozeni" placeholder="Datum narození žáka" value="<?php echo $this->datum_narozeni; ?>">
    <input class="col-sm-1" type="number" name="tel_cislo" placeholder="Telefoní číslo žáka" value="<?php echo $this->tel_cislo; ?>">
    <input class="col-sm-2" type="text" name="email" placeholder="Email" value="<?php echo $this->email; ?>">
    <input class="col-sm-1" type="password" name="heslo" placeholder="Heslo" value="<?php echo $this->heslo; ?>">
    <input class="col-sm-1" type="text" name="skupina_opravneni" placeholder="Skupina řidičského oprávnění" value="<?php echo $this->skupina_opravneni; ?>">
    <input class="col-sm-1" type="number" name="odjeto_jizd" placeholder="Odjeto jízd" value="<?php echo $this->odjeto_jizd; ?>">
            <input class="col-sm-0,5 btn btn-primary" type="submit" name="edit" value="Upravit">
            <input class="col-sm-0,5 btn btn-secondary" type="submit" name="smaz" value="Smazat"></form>
                </tr>
            </table>

<?php
    }

    public function nastavOsHodnotyZaka($jmeno, $prijmeni, $tel_cislo, $email)
    {
        $this->jmeno = htmlspecialchars($jmeno,ENT_QUOTES);
        $this->prijmeni = htmlspecialchars($prijmeni,ENT_QUOTES);
        $this->tel_cislo = htmlspecialchars($tel_cislo, ENT_QUOTES);
        $this->email = filter_var($email, FILTER_VALIDATE_EMAIL);
    }

    public function vypisEditaci()
    {
?>
        <div class="container">
        <div class="d-flex justify-content-center">
        <div class="card border-secondary mb-3">
            <div class="card-header"><h4>Úprava osobních údajů</h4></div>
            <div class="card-body text-secondary text-center">
    <form method="post">
    Jméno:<br />
    <input name="jmeno" type="text" placeholder="Jméno" value="<?php echo $this->jmeno; ?>"><br /><br />
    Příjmení: <br />
    <input name="prijmeni" type="text" placeholder="Příjmení" value="<?php echo $this->prijmeni; ?>"><br /><br />
    Telefonní číslo: <br />
    <input name="tel_cislo" type="number" placeholder="Telefonní číslo" value="<?php echo $this->tel_cislo; ?>">
    <br /><br />
    Přihlašovací Email: <br />
    <input name="email" type="text" placeholder="Email" value="<?php echo $this->email; ?>"><br /><br />
    <input name="odeslat" type="submit" class="btn btn-primary" value="Upravit údaje"><br />
    </form><br />
        </div>
        </div>
        </div>
        </div>

        <div class="d-flex justify-content-center">
            <div class="card border-secondary mb-3">
                <div class="card-header"><h4> Změna hesla:</h4></div>
                <div class="card-body text-secondary text-center">
    <form method="post">
        Původní heslo:<br />
        <input name="puvodni_heslo" type="password" placeholder="Původní heslo"><br /><br />
        Nové heslo:<br />
        <input name="nove_heslo" type="password" placeholder="Nové heslo"><br /><br />
        Heslo znovu (pro ověření):<br />
        <input name="overujici_heslo" type="password" placeholder="Nové ověřující heslo"><br /><br />
        <input name="zmenit_heslo" type="submit" class="btn btn-primary" value="Změnit heslo">
        <br />
    </form>
            </div></div>
        </div></div>
    <?php
}
}